V2 50 endpoints

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/ids
operationId: V2_PatchWorkflowIds

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchWorkflowIdsRequest
Property Type Required
ids array optional
└ id string optional
└ newId string optional
action string optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/ids
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}
operationId: V2_DeleteWorkflow

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}
operationId: V2_GetWorkflow

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string

Workflow ID to retrieve
If no ID is specified we return default workflow of the application
If an ID is specified by default we first looks into Clarifai workflows for a Workflow ID

favorClarifaiWorkflows query optional boolean

Use this flag to look into clarifai published workflows first for a Workflow ID

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars

excludeClarifaiWorkflows query optional boolean

if true will not expand search to clarifai workflows

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/publish
operationId: V2_PostWorkflowVersionsPublish

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string —

Request Body

required
application/json
schema V2PostWorkflowVersionsPublishRequest
Property Type Required
userAppId object optional
publications array optional
└ versionId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/publish
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/results
operationId: V2_PostWorkflowResults2

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string

Workflow ID to retrieve
If no ID is specified we return default workflow of the application
If an ID is specified by default we first looks into Clarifai workflows for a Workflow ID

Request Body

required
application/json
schema V2PostWorkflowResults2Request
Property Type Required
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
versionId string optional
outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ isRankable boolean optional
└ definition string optional
└ visibility object optional
└ gettable string optional
└ keypointInfo object optional
└ skeleton array optional
└ keypointNames array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
workflowState object optional
└ id string optional
favorClarifaiWorkflows boolean optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/results
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/results/similarity
operationId: V2_PostWorkflowResultsSimilarity2

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string —

Request Body

required
application/json
schema V2PostWorkflowResultsSimilarity2Request
Property Type Required
userAppId object optional
versionId string optional
poolInputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
probeInputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
modelVersionId string optional
favorClarifaiWorkflows boolean optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/results/similarity
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/unpublish
operationId: V2_PostWorkflowVersionsUnPublish

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string —

Request Body

required
application/json
schema V2PostWorkflowVersionsUnPublishRequest
Property Type Required
userAppId object optional
publications array optional
└ versionId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/unpublish
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions
operationId: V2_DeleteWorkflowVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string

The id of the workflow that has the requested versions to delete.

Request Body

required
application/json
schema V2DeleteWorkflowVersionsRequest
Property Type Required
userAppId object optional
workflowVersionIds array optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions
operationId: V2_ListWorkflowVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string

List versions for the workflow identified by this id

page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions
operationId: V2_PatchWorkflowVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string

The id of the workflow that has the requested versions to patch.

Request Body

required
application/json
schema V2PatchWorkflowVersionsRequest
Property Type Required
action string optional
userAppId object optional
workflowVersions array optional
└ id string optional
└ appId string optional
└ nodes array optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ nodeInputs array optional
└ nodeId string optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ workflowId string optional
└ description string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions/{versionId}/results
operationId: V2_PostWorkflowResults

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string

Workflow ID to retrieve
If no ID is specified we return default workflow of the application
If an ID is specified by default we first looks into Clarifai workflows for a Workflow ID

versionId path required string

Workflow version ID to retrieve
If no ID is specified, latest workflow version is used

Request Body

required
application/json
schema V2PostWorkflowResultsRequest
Property Type Required
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ isRankable boolean optional
└ definition string optional
└ visibility object optional
└ gettable string optional
└ keypointInfo object optional
└ skeleton array optional
└ keypointNames array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
workflowState object optional
└ id string optional
favorClarifaiWorkflows boolean optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions/{versionId}/results
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions/{versionId}/results/similarity
operationId: V2_PostWorkflowResultsSimilarity

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string —
versionId path required string

Workflow version ID to retrieve
If no ID is specified, latest workflow version is used

Request Body

required
application/json
schema V2PostWorkflowResultsSimilarityRequest
Property Type Required
userAppId object optional
poolInputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
probeInputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
modelVersionId string optional
favorClarifaiWorkflows boolean optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions/{versionId}/results/similarity
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions/{workflowVersionId}
operationId: V2_GetWorkflowVersion

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
workflowId path required string

The id of the workflow that has the requested version.

workflowVersionId path required string

Get the identified by this id

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows/{workflowId}/versions/{workflowVersionId}
GET /v2/users/{userAppId.userId}/collaborations
operationId: V2_ListCollaborations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

templateOnly query optional boolean

Filtering options:
If true, we only return collaborations on apps that are marked as a template by the app owner.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/collaborations
GET /v2/users/{userAppId.userId}/datasets
operationId: V2_ListDatasets2

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array —
sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortByCreatedAt query optional boolean

Whether to order by the created_at time.

sortByStarCount query optional boolean

Whether to order by the number of users stared the app

sortByModifiedAt query optional boolean

If neither sort option is set to true, will sort by modified_at.

sortById query optional boolean

Whether to order by the external id

starredOnly query optional boolean

Filtering options:

bookmark query optional boolean

Filter datasets by bookmark. If set, only return bookmarked datasets. Otherwise none bookmarked datasets only.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the dataset:

  • id
  • description
  • notes
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

id query optional string

Fuzzy filter on dataset ID
Deprecated: use search instead.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/datasets
GET /v2/users/{userAppId.userId}/duplications
operationId: V2_ListAppDuplications

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/duplications
GET /v2/users/{userAppId.userId}/duplications/{appDuplicationId}
operationId: V2_GetAppDuplication

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

appDuplicationId path required string —
userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/duplications/{appDuplicationId}
GET /v2/users/{userAppId.userId}/evaluations
operationId: V2_ListEvaluations2

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

sortAscending query optional boolean

If true, sort in ascending order, otherwise sort in descending order.

sortByAppId query optional boolean

Whether to order by application id

sortByRocAuc query optional boolean

Whether to order by eval metric summary.macro_avg_roc_auc

sortByF1 query optional boolean

Whether to order by eval metric summary.f1

sortByCreatedAt query optional boolean

Whether to order by when the metric was created

sortByMeanAvgPrecision query optional boolean

Whether to order by eval metric summary.mean_avg_precision_iou_50

sortByPrecision query optional boolean

Whether to order by eval metric summary.macro_avg_precision

sortByRecall query optional boolean

Whether to order by eval metric summary.macro_avg_recall

sortByModelId query optional boolean —
sortByEvalDatasetId query optional boolean —
sortByTrainDatasetId query optional boolean —
modelTypeId query optional string

Filter on model type id

evalDatasetIds query optional array

Filter on dataset ID of the dataset version specified in the metric version

trainDatasetIds query optional array

Filter on dataset ID of the dataset version specified by the model version

conceptIds query optional array

Filter on concept IDs specified in the modele version’s output_info

showFailedMetrics query optional boolean

Whether to show failed metrics, defaults to false

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/evaluations
GET /v2/users/{userAppId.userId}/keys
operationId: V2_ListKeys

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

notExpired query optional boolean —
scopes query optional array —
endpoints query optional array —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/keys
PATCH /v2/users/{userAppId.userId}/keys
operationId: V2_PatchKeys

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2PatchKeysRequest
Property Type Required
keys array optional
└ id string optional
└ apps array optional
└ id string optional
└ name string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ metadata object optional
└ sampleMs integer optional
└ createdAt string optional
└ extraInfo object optional
└ searchRevisionMarker string optional
└ isStarred boolean optional
└ starCount integer optional
└ dataTierId string optional
└ isTemplate boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ defaultLanguage string optional
└ defaultWorkflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ defaultWorkflowId string optional
└ legalConsentStatus integer optional
└ type string optional
└ scopes array optional
└ createdAt string optional
└ endpoints array optional
└ expiresAt string optional
└ description string optional
└ authorizedIdpIds array optional
action string optional
userAppId object optional
└ appId string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/keys
POST /v2/users/{userAppId.userId}/keys
operationId: V2_PostKeys

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2PostKeysRequest
Property Type Required
keys array optional
└ id string optional
└ apps array optional
└ id string optional
└ name string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ metadata object optional
└ sampleMs integer optional
└ createdAt string optional
└ extraInfo object optional
└ searchRevisionMarker string optional
└ isStarred boolean optional
└ starCount integer optional
└ dataTierId string optional
└ isTemplate boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ defaultLanguage string optional
└ defaultWorkflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ defaultWorkflowId string optional
└ legalConsentStatus integer optional
└ type string optional
└ scopes array optional
└ createdAt string optional
└ endpoints array optional
└ expiresAt string optional
└ description string optional
└ authorizedIdpIds array optional
userAppId object optional
└ appId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/keys
DELETE /v2/users/{userAppId.userId}/keys/{keyId}
operationId: V2_DeleteKey

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

keyId path required string —
userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/keys/{keyId}
GET /v2/users/{userAppId.userId}/keys/{keyId}
operationId: V2_GetKey

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

keyId path required string —
userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/keys/{keyId}
GET /v2/users/{userAppId.userId}/models
operationId: V2_ListModels2

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars, outputs, presets

sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortByName query optional boolean

Whether to order by the name

sortByNumInputs query optional boolean

Whether to order by the number of training inputs

sortByModifiedAt query optional boolean

Whether to order by the modified_at time of the latest model version.
If none of the sort options is set to true, will sort by modified_at.

sortByCreatedAt query optional boolean

Whether to order by the created_at

sortByStarCount query optional boolean

Whether to order by count of stars

modelTypeId query optional string

Filtering options:
Filter models by the specific model_type_id. See ListModelTypes for the list of ModelType.Id’s
supported.

trainedOnly query optional boolean

If true, we only return models that have the status MODEL_TRAINED, which includes non-trainable model types.

inputFields query optional array

The list of input fields to the model.
For example, you can specify ‘image’, which will return models that make inferences on images like visual-classifier models.

outputFields query optional array

The list of output fields to the model.
For example, you can specify ‘regions[…].data.concepts’, which will return visual-detector models.

license query optional string

Filter by the license of the model version

featuredOnly query optional boolean

If true, we only return models that are handpicked by clarifai staff

starredOnly query optional boolean

If true, we only return models that are starred by the requesting user

toolkits query optional array

List of toolkit tags to filter by

useCases query optional array

List of use_case tags to filter by

languages query optional array

List of language tags to filter by

dontFetchFromMain query optional boolean

Old API behavior resulted in returning clarifai main models when calling ListModels while scoped to an app. While we transition
away from that, we can use this flag to not always fetch clarifai main models, unless that is the app we are explicitly listing for.

bookmark query optional boolean

Filter models by bookmark. If set, only return bookmarked models. Otherwise none bookmarked models only.
Note: you can not filter trained_only and bookmark at the same time.
When filter by bookmark, we will return trained and untrained models.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the model:

  • id
  • name
  • description
  • notes
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

query query optional string

Query name, description and id fields, that can contain the words in the query string. Does NOT support wildcards - full words only. Supports operators “OR” and “-“ as NOT.
Deprecated: use search instead.

name query optional string

Filter by the description and id of the model. This supports wildcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

filterByUserId query optional boolean

Extends the name filter to include the user_id of the application owner that the model belongs to.
Deprecated: use search instead of name.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/models
GET /v2/users/{userAppId.userId}/modules
operationId: V2_ListModules2

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array —
sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortByCreatedAt query optional boolean

Whether to order by the created_at time.

sortByStarCount query optional boolean

Whether to order by the number of users stared the app

sortByModifiedAt query optional boolean

If neither sort option is set to true, will sort by modified_at.

sortById query optional boolean

Whether to order by the external id

starredOnly query optional boolean

Filtering options:

bookmark query optional boolean

Filter modules by bookmark. If set, only return bookmarked modules. Otherwise none bookmarked modules only.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the module:

  • id
  • description
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

name query optional string

Filter by the id and description of the module. This supports wildcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

filterByUserId query optional boolean

Filter by the application owner whose this module belongs to
Deprecated: use search instead of name.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/modules
GET /v2/users/{userAppId.userId}/myscopes
operationId: V2_MyScopesUser

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/myscopes
DELETE /v2/users/{userAppId.userId}/runners
operationId: V2_DeleteRunners

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2DeleteRunnersRequest
Property Type Required
ids array optional
userAppId object optional
└ appId string optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/runners
GET /v2/users/{userAppId.userId}/runners
operationId: V2_ListRunners

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/runners
POST /v2/users/{userAppId.userId}/runners
operationId: V2_PostRunners

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2PostRunnersRequest
Property Type Required
runners array optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ labels array optional
└ userId string optional
└ metadata object optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ id string optional
└ cloud string optional
└ region string optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ nodes array optional
└ id string optional
└ model object optional
└ nodeInputs array optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ nodes array optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ workflowId string optional
└ description string optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ createdAt string optional
└ modifiedAt string optional
└ computeInfo object optional
└ numCpus integer optional
└ cpuMemory string optional
└ acceleratorType array optional
└ numAccelerators integer optional
└ acceleratorMemory string optional
└ description string optional
userAppId object optional
└ appId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/runners
GET /v2/users/{userAppId.userId}/runners/{runnerId}
operationId: V2_GetRunner

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

runnerId path required string —
userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/runners/{runnerId}
GET /v2/users/{userAppId.userId}/runners/{runnerId}/items
operationId: V2_ListRunnerItems

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

runnerId path required string —
userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/runners/{runnerId}/items
POST /v2/users/{userAppId.userId}/runners/{runnerId}/items/{runnerItemId}/outputs
operationId: V2_PostRunnerItemOutputs

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

runnerId path required string

The particular runner that processed the work.

runnerItemId path required string

The particular item of work processed.

Request Body

required
application/json
schema V2PostRunnerItemOutputsRequest
Property Type Required
status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
userAppId object optional
└ appId string optional
runnerItemOutputs array optional
└ multiOutputResponse object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ outputs array optional
└ id string optional
└ data object optional
└ input object optional
└ model object optional
└ status object optional
└ createdAt string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/runners/{runnerId}/items/{runnerItemId}/outputs
GET /v2/users/{userAppId.userId}/scopes
operationId: V2_ListScopes

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

keyType query optional string

If “personal_access_token” include scopes and endpoints available to personal access tokens.
If “api_key” include scopes and endpoints available to app-specific keys. (default)

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/scopes
POST /v2/users/{userAppId.userId}/validate_password
operationId: V2_PostValidatePassword

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2PostValidatePasswordRequest
Property Type Required
password object optional
└ plaintext string optional
userAppId object optional
└ appId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/validate_password
GET /v2/users/{userAppId.userId}/workflows
operationId: V2_ListWorkflows2

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars

sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortById query optional boolean

Whether to order by the name

sortByModifiedAt query optional boolean

Whether to order by the modified_at time.
If none of the sort options is set to true, will sort by modified_at.

sortByCreatedAt query optional boolean

Whether to order by the created_at time.

sortByStarCount query optional boolean

Whether to order by the number of users stared the workflow

featuredOnly query optional boolean

Filtering options:
If true, we only return workflows that are handpicked by clarifai staff

starredOnly query optional boolean

If true, we only return workflows that are starred by the requesting user

bookmark query optional boolean

Filter workflows by bookmark. If set, only return bookmarked workflows. Otherwise none bookmarked workflows only.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the workflow:

  • id
  • description
  • notes
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

query query optional string

Query various text fields (id, description and notes) that can contain the words in the query string.
Deprecated: use search instead.

id query optional string

Filter by the id of the workflow. This supports wilcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

searchTerm query optional string

Full text and prefix matching on id, owner id, description and notes. Searchable fields may be added
Deprecated: use search instead.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/workflows
POST /v2/validate_password
operationId: V2_PostValidatePassword2

Request Body

required
application/json
schema apiPostValidatePasswordRequest
Property Type Required
password object optional
└ plaintext string optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/validate_password
DELETE /v2/workflows
operationId: V2_DeleteWorkflows2

Request Body

required

Request to delete several things by the list of ids.

application/json
schema apiDeleteWorkflowsRequest
Property Type Required
ids array optional
deleteAll boolean optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/workflows
GET /v2/workflows
operationId: V2_ListWorkflows3

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars

sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortById query optional boolean

Whether to order by the name

sortByModifiedAt query optional boolean

Whether to order by the modified_at time.
If none of the sort options is set to true, will sort by modified_at.

sortByCreatedAt query optional boolean

Whether to order by the created_at time.

sortByStarCount query optional boolean

Whether to order by the number of users stared the workflow

featuredOnly query optional boolean

Filtering options:
If true, we only return workflows that are handpicked by clarifai staff

starredOnly query optional boolean

If true, we only return workflows that are starred by the requesting user

bookmark query optional boolean

Filter workflows by bookmark. If set, only return bookmarked workflows. Otherwise none bookmarked workflows only.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the workflow:

  • id
  • description
  • notes
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

query query optional string

Query various text fields (id, description and notes) that can contain the words in the query string.
Deprecated: use search instead.

id query optional string

Filter by the id of the workflow. This supports wilcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

searchTerm query optional string

Full text and prefix matching on id, owner id, description and notes. Searchable fields may be added
Deprecated: use search instead.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/workflows
PATCH /v2/workflows
operationId: V2_PatchWorkflows2

Request Body

required
application/json
schema apiPatchWorkflowsRequest
Property Type Required
action string optional
userAppId object optional
└ appId string optional
└ userId string optional
workflows array optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ nodes array optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ nodeInputs array optional
└ nodeId string optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ nodes array optional
└ id string optional
└ model object optional
└ nodeInputs array optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ workflowId string optional
└ description string optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/workflows
POST /v2/workflows
operationId: V2_PostWorkflows2

Request Body

required
application/json
schema apiPostWorkflowsRequest
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
workflows array optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ nodes array optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ nodeInputs array optional
└ nodeId string optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ nodes array optional
└ id string optional
└ model object optional
└ nodeInputs array optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ workflowId string optional
└ description string optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/workflows
DELETE /v2/workflows/{workflowId}
operationId: V2_DeleteWorkflow2

Parameters

Name In Required Type Description
workflowId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/workflows/{workflowId}
GET /v2/workflows/{workflowId}
operationId: V2_GetWorkflow2

Parameters

Name In Required Type Description
workflowId path required string

Workflow ID to retrieve
If no ID is specified we return default workflow of the application
If an ID is specified by default we first looks into Clarifai workflows for a Workflow ID

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
favorClarifaiWorkflows query optional boolean

Use this flag to look into clarifai published workflows first for a Workflow ID

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars

excludeClarifaiWorkflows query optional boolean

if true will not expand search to clarifai workflows

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/workflows/{workflowId}
POST /v2/workflows/{workflowId}/publish
operationId: V2_PostWorkflowVersionsPublish2

Parameters

Name In Required Type Description
workflowId path required string —

Request Body

required
application/json
schema V2PostWorkflowVersionsPublish2Request
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
publications array optional
└ versionId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/workflows/{workflowId}/publish
POST /v2/workflows/{workflowId}/results
operationId: V2_PostWorkflowResults3

Parameters

Name In Required Type Description
workflowId path required string

Workflow ID to retrieve
If no ID is specified we return default workflow of the application
If an ID is specified by default we first looks into Clarifai workflows for a Workflow ID

Request Body

required
application/json
schema V2PostWorkflowResults3Request
Property Type Required
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
└ appId string optional
└ userId string optional
versionId string optional
outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ isRankable boolean optional
└ definition string optional
└ visibility object optional
└ gettable string optional
└ keypointInfo object optional
└ skeleton array optional
└ keypointNames array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
workflowState object optional
└ id string optional
favorClarifaiWorkflows boolean optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/workflows/{workflowId}/results
POST /v2/workflows/{workflowId}/results/similarity
operationId: V2_PostWorkflowResultsSimilarity3

Parameters

Name In Required Type Description
workflowId path required string —

Request Body

required
application/json
schema V2PostWorkflowResultsSimilarity3Request
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
versionId string optional
poolInputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
probeInputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
modelVersionId string optional
favorClarifaiWorkflows boolean optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/workflows/{workflowId}/results/similarity
POST /v2/workflows/{workflowId}/unpublish
operationId: V2_PostWorkflowVersionsUnPublish2

Parameters

Name In Required Type Description
workflowId path required string —

Request Body

required
application/json
schema V2PostWorkflowVersionsUnPublish2Request
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
publications array optional
└ versionId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/workflows/{workflowId}/unpublish
DELETE /v2/workflows/{workflowId}/versions
operationId: V2_DeleteWorkflowVersions2

Parameters

Name In Required Type Description
workflowId path required string

The id of the workflow that has the requested versions to delete.

Request Body

required
application/json
schema V2DeleteWorkflowVersions2Request
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
workflowVersionIds array optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/workflows/{workflowId}/versions
GET /v2/workflows/{workflowId}/versions
operationId: V2_ListWorkflowVersions2

Parameters

Name In Required Type Description
workflowId path required string

List versions for the workflow identified by this id

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/workflows/{workflowId}/versions
PATCH /v2/workflows/{workflowId}/versions
operationId: V2_PatchWorkflowVersions2

Parameters

Name In Required Type Description
workflowId path required string

The id of the workflow that has the requested versions to patch.

Request Body

required
application/json
schema V2PatchWorkflowVersions2Request
Property Type Required
action string optional
userAppId object optional
└ appId string optional
└ userId string optional
workflowVersions array optional
└ id string optional
└ appId string optional
└ nodes array optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ nodeInputs array optional
└ nodeId string optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ workflowId string optional
└ description string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/workflows/{workflowId}/versions
GET /v2/workflows/{workflowId}/versions/{workflowVersionId}
operationId: V2_GetWorkflowVersion2

Parameters

Name In Required Type Description
workflowId path required string

The id of the workflow that has the requested version.

workflowVersionId path required string

Get the identified by this id

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/workflows/{workflowId}/versions/{workflowVersionId}